/* dialog.h
 *
 * Pieter Eendebak <pte@ddsw.nl>
 *
 */

#ifndef DIALOG_H
#define DIALOG_H

#include "includes.h"
#include <kcolorbtn.h>

/**
 * This a dialog the configure the colors used by Rubik's Kube
 * It's an extension to QWidget and isn't very difficult to understand.
 *
 */
class Kleur : public QDialog
{

        Q_OBJECT

public:
 	Kleur ( QWidget *, const char *name);
        ~Kleur();
	int getShading() ;

        QGroupBox *box;

	QLabel *blabel;
	KColorButton *background;

	QLabel *elabel;
	KColorButton *edge;

	QLabel **naam;
	KColorButton **kleur;

	QFrame *line ;
	QCheckBox *shade ;
	QLabel *level ;
	QScrollBar *levelbar ;
	QLabel *levelcounter ;

private :
	
        QPushButton *ok, *cancel;
	int l ;

public slots :
	void leveltoggle( bool ) ;
	void levelchange( int level ) ;
};

#endif		
